package com.persagy.apm.alarmservice.alarmdic.controller;

import com.persagy.apm.alarmservice.alarmcondition.model.dto.AddAlarmConditionDTO;
import com.persagy.apm.alarmservice.alarmdic.model.dto.QueryAlarmDicDTO;
import com.persagy.apm.common.model.vo.EnumVO;
import com.persagy.apm.common.response.ApmResponseUpsertVO;
import com.persagy.apm.common.response.CommonResult;
import com.persagy.apm.common.response.PageList;
import com.persagy.apm.common.utils.ResultHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/9/13 9:52 上午
 **/
@Api(tags = "报警字典")
@Validated
@RestController
@RequestMapping("alarmDic")
public class AlarmDicController {
    @ApiOperation(value = "查询报警字典数据")
    @PostMapping("/query")
    public CommonResult<PageList<EnumVO>> queryAlarmDic(
            @Valid @RequestBody QueryAlarmDicDTO queryAlarmDicDTO) {
        List<EnumVO> resultList = new ArrayList<>();
        return ResultHelper.multi(resultList);
    }
}
